Skip to main content
GET
/
ncw
/
wallets
/
{walletId}
/
devices_paginated
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedDevicesResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletDevicesPaginated(embeddedWalletsApiGetEmbeddedWalletDevicesPaginatedRequest);
{
  "data": [
    {
      "deviceId": "9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3",
      "enabled": true,
      "physicalDeviceId": "ee1bff0-6dba-4f0c-9b75-03fe90e66fa3"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

walletId
string
required

Wallet Id

Query Parameters

sort
enum<string>[]

Sort by fields

Available options:
createdAt
pageCursor
string

Cursor to the next page

pageSize
number
default:200

Amount of results to return in the next page

Required range: x <= 400
order
enum<string>
default:ASC

Is the order ascending or descending

Available options:
ASC,
DESC

Response

Successful response

data
object[]
required

The data of the current page

Example:
[
  {
    "deviceId": "9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3",
    "enabled": true,
    "physicalDeviceId": "ee1bff0-6dba-4f0c-9b75-03fe90e66fa3"
  }
]
next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"